## libinline-java-perl 0.53

=== debian/changelog ===
libinline-java-perl (0.53-1build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 10:15:15 +0100

libinline-java-perl (0.53-1) unstable; urgency=low

  * Initial packaging release.
    Closes: bug#684098.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Aug 2012 03:36:49 +0200
