=== debian/control ===
Source: libinline-java-perl
Section: perl
Priority: optional
Build-Depends: cdbs,
 devscripts,
 perl,
 debhelper,
 dh-buildinfo,
 libinline-perl,
 default-jdk | java-compiler,
 chrpath
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libinline-java-perl
Vcs-Browser: http://git.debian.org/?p=pkg-perl/packages/libinline-java-perl.git
Homepage: http://search.cpan.org/dist/Inline-Java/

Package: libinline-java-perl
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Description: write Perl classes in Java
 Inline::Java lets you write Perl classes in Java.
