## libinline-java-perl 0.56

=== debian/changelog ===
libinline-java-perl (0.56-2) unstable; urgency=medium

  * Add patch 02 to make build reproducible.
  * Revert to build-depend unversioned on debhelper: It is not for
    debhelper to dictate versioned dependency, so related lintian notice
    is wrong (which is believed to be the reason severity is so low).
  * Fix use https protocol in Vcs-Browser URL.
  * Update copyright info:
    + Extend copyrigt coverage for myself to include recent years.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Have watch file also (and primarily) track github releases.
  * Have CDBS fetch from github (apparently CPAN is lagging behind).
  * Put aside upstream cruft during build (not just clean it) to not
    upset git-buildpackage.
    Tighten build-dependency on cdbs for put-aside support.
  * Bump debhelper compatibility level to 9.
  * Override lintian regarding build-depending unversioned on debhelper.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Aug 2015 17:17:31 +0200

libinline-java-perl (0.56-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Imported Upstream version 0.55
  * Add git URL to Source field in debian/copyright.
  * Update build and runtime dependencies.
    The new release needs libinline-perl (>= 0.68) and libinline-c-perl.

  [ Peter Pentchev ]
  * Depend unconditionally on default-jdk, as per the Debian policy for
    Java section 2.2.  Closes: #770762
  * Remove some autogenerated files to allow the package to build twice
    in a row.  Closes: #770844
  * Set LC_NUMERIC=C when running the tests since some of them assume
    that the decimal point separator is a period.  Closes: #770845
  * Depend on debhelper >> 8 to appease Lintian.
  * Bump Standards-Version to 3.9.6 with no changes.
  * Improve the package's long description.
  * Add the 01-typos patch to fix the manual pages.
  * Switch to the cgit frontend for Vcs-Browser.
  * New upstream release.

 -- Peter Pentchev <roam@ringlet.net>  Wed, 26 Nov 2014 12:31:04 +0200

libinline-java-perl (0.53-3) unstable; urgency=medium

  * Team upload.
  * Fix broken symlinks when built under Perl 5.20.
    Since the vendorarch path differs, we can't use a fixed length for
    relative links.
    (Closes: #753057)

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Jul 2014 18:40:14 +0200

libinline-java-perl (0.53-2) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to use canonical hostname (anonscm.debian.org).

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Fix use canonical Vcs-Git and Vcs-Browser URLs.
  * Bump standards compliance to standards-version 3.9.5.
  * Update watch file to use www.cpan.org and metacpan.org URLs (not
    search.cpan.org URL).
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include recent years.
  * Fix resolve (not hardcode) path to perl libraries during install.
    Closes: bug#752706. Thanks to Niko Tyni.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Jun 2014 23:05:32 +0200
