=== debian/control ===
Source: libinline-java-perl
Section: perl
Priority: optional
Build-Depends: cdbs (>= 0.4.106~),
 devscripts,
 perl,
 debhelper,
 dh-buildinfo,
 libinline-perl (>= 0.68),
 libinline-c-perl,
 default-jdk,
 chrpath
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libinline-java-perl
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libinline-java-perl.git
Homepage: http://search.cpan.org/dist/Inline-Java/

Package: libinline-java-perl
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Description: write Perl classes in Java
 The Inline::Java module allows you to put Java source code
 directly "inline" in a Perl script or module.  A Java compiler
 is launched and the Java code is compiled.  Then Perl asks the
 Java classes what public methods have been defined.  These classes
 and methods are available to the Perl program as if they had been
 written in Perl.
 .
 The process of interrogating the Java classes for public methods
 occurs the first time you run your Java code.  The namespace is
 cached, and subsequent calls use the cached version.
