=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
https://github.com/ingydotnet/Inline-Java/tags .*/archive/v?(\d[\d\.]+).tar.gz
http://www.cpan.org/modules/by-module/Inline/Inline-Java-([\d.]+)\.tar\.gz
https://metacpan.org/release/Inline-Java .*/Inline-Java-([\d.]+)\.tar\.gz
