## libinline-java-perl 0.58~dfsg

=== debian/changelog ===
libinline-java-perl (0.58~dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to get rid of build path to hopefully male build
    reproducible.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 Aug 2017 15:38:38 -0400

libinline-java-perl (0.58~dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: don't build JNI extension on some architectures where it
    seems to have problems. (Closes: #754755)
  * Declare compliance with Debian Policy 3.9.8.
  * Update lintian override to match new lintian tag name.
  * Update Vcs-Git in debian/control to use https.

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2016 22:15:57 +0100

libinline-java-perl (0.58~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Repackage upstream tarball, excluding sourceless jar file.
  * Drop patch 01: Adopted upstream.
  * Unfuzz patch 02.
  * Declare compliance with Debian Policy 3.9.7.
  * Update copyright info:
    + Extend copyright of packaging to cover current year.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Feb 2016 14:03:13 +0100
