=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  chrpath
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libinline-java-perl
+Standards-Version: 4.0.0
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libinline-java-perl
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libinline-java-perl.git
 Homepage: http://search.cpan.org/dist/Inline-Java/
