=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2012-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2012-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Inline::Java
 #
 # This program is free software; you can redistribute it and/or modify
@@ -28,7 +28,11 @@
 #DEB_UPSTREAM_PACKAGE = Inline-Java
 #DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Inline
 DEB_UPSTREAM_URL = https://github.com/ingydotnet/Inline-Java/archive
-DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_BASENAME = Inline-Java-$(DEB_UPSTREAM_TARBALL_VERSION)
+
+# Repackage to exclude sourceless jar file
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
+ bug/bug.tar.gz
 
 # Build-depend unversioned on debhelper
 #  TODO: Drop when adopted in cdbs
@@ -45,8 +49,15 @@
 
 export JAVA_HOME=/usr/lib/jvm/default-java
 
+DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
+NO_JNI_ARCH = hppa hurd-i386 mips mipsel
+ifeq (,$(filter $(DEB_HOST_ARCH), $(NO_JNI_ARCH)))
 # Have testsuite use JNI
 export PERL_INLINE_JAVA_JNI=1
+else
+# Don't build JNI extension
+DEB_MAKEMAKER_USER_FLAGS = BUILD_JNI=0
+endif
 
 # Put aside upstream cruft during build
 DEB_UPSTREAM_CRUFT_MOVE = t/t13.txt
@@ -54,6 +65,7 @@
 # Have testsuite use the C locale's decimal point
 DEB_MAKE_CHECK_TARGET += LC_NUMERIC=C
 
+ifeq (,$(filter $(DEB_HOST_ARCH), $(NO_JNI_ARCH)))
 binary-post-install/$(pkg)::
 	chrpath -d $(cdbs_curdestdir)$(perlpath)/auto/Inline/Java/JNI/JNI.so
 
@@ -63,3 +75,4 @@
 		$(cdbs_curdestdir)$(perlpath)/Inline/Java/*.jar
 	dh_link usr/share/$(pkg)/InlineJavaServer.jar $(perlpath)/Inline/Java/InlineJavaServer.jar \
 		usr/share/$(pkg)/InlineJavaUser.jar $(perlpath)/Inline/Java/InlineJavaUser.jar
+endif
