## libinline-java-perl 0.66

=== debian/changelog ===
libinline-java-perl (0.66-3) unstable; urgency=medium

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse
  * rely on pre-initialized dpkg-architecture variables

  [ Jonas Smedegaard ]
  * update git-buildpackage config: avoid any .git* files
  * update watch file:
    + use file format 4
    + track only MetaCPAN URI
    + mention gbp --uscan in usage comment
    + use substitution strings
  * simplify rules;
    stop build-depend on devscripts dh-buildinfo cdbs
  * use debhelper compatibility level 13 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * relax to (build-)depend unversioned on libinline-perl:
    required version satisfied in all supported Debian releases
  * declare compliance with Debian Policy 4.6.0
  * update copyright info: update coverage
  * use semantic newlines in long description and copyright fields

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Sep 2021 02:14:30 +0200

libinline-java-perl (0.66-2) unstable; urgency=medium

  * Team upload.
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/rules: add armel and powerpc to NO_JNI_ARCH.
  * Declare compliance with Debian Policy 4.1.5.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Jul 2018 15:18:11 +0200

libinline-java-perl (0.66-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 0.66.
  * Declare compliance with Debian Policy 4.1.4.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Apr 2018 19:07:45 +0200

libinline-java-perl (0.64-1) unstable; urgency=medium

  * Team upload.

  [ Damyan Ivanov ]
  * merge extra changelog stanza

  [ gregor herrmann ]
  * Install examples.
    Thanks to lintian.
  * Use HTTPS for Format URL in debian/copyright.
    Thanks to lintian.
  * Add a lintian override (source-contains-prebuilt-java-object)
    for a test file.
  * Drop build dependency on libinline-c-perl, as per upstream changes.
  * Remove rapackaging fragments. The problematic file, and in fact the
    whole directory, was removed upstream in 0.62.

  * New upstream release 0.64.
  * Drop pod-spelling.patch, merged upstream.
  * autopkgtest: add debian/tests/pkg-perl/use-name to tell autopkgtest's
    use.t which module to test, in case META.* is gone like in 0.64.

 -- gregor herrmann <gregoa@debian.org>  Mon, 26 Mar 2018 17:07:38 +0200

libinline-java-perl (0.63-1) unstable; urgency=medium

  * Team upload.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Damyan Ivanov ]
  * New upstream version 0.63
  * drop 02_reporducibl_build.patch; applied upstream
  * enable all hardening build flags
  * rules: set DEB_HOST_ARCH only if not already set by dpkg-buildpackage
  * bump cdbs build-dependency for possible hardening support
  * add Testsuite header
  * refresh lines of 03_reproducible_path.patch
  * use secure protocol for cpan URL in debian/watch
  * add pod-spelling.patch

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Mar 2018 17:54:22 +0000
