=== debian/control ===
Source: libinline-java-perl
Section: perl
Priority: optional
Build-Depends:
 perl,
 debhelper-compat (= 13),
 libinline-perl,
 default-jdk,
 chrpath
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libinline-java-perl.git
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libinline-java-perl
Homepage: https://metacpan.org/release/Inline-Java
Testsuite: autopkgtest-pkg-perl

Package: libinline-java-perl
Architecture: any
Depends:
 default-jdk,
 libinline-perl,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Description: write Perl classes in Java
 The Inline::Java module allows you
 to put Java source code directly "inline"
 in a Perl script or module.
 A Java compiler is launched and the Java code is compiled.
 Then Perl asks the Java classes
 what public methods have been defined.
 These classes and methods are available to the Perl program
 as if they had been written in Perl.
 .
 The process of interrogating the Java classes
 for public methods
 occurs the first time you run your Java code.
 The namespace is cached,
 and subsequent calls use the cached version.
