=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

perlpath := $(shell perl -MConfig -e 'print $$Config{vendorarch};' )

export JAVA_HOME=/usr/lib/jvm/default-java

include /usr/share/dpkg/architecture.mk
NO_JNI_ARCH = hppa hurd-i386 mips mipsel armel powerpc
ifeq (,$(filter $(DEB_HOST_ARCH), $(NO_JNI_ARCH)))
# Have testsuite use JNI
export PERL_INLINE_JAVA_JNI=1
else
# Don't build JNI extension
DEB_MAKEMAKER_USER_FLAGS = BUILD_JNI=0
endif

%:
	dh $@

# Put aside upstream cruft during build
execute_after_dh_auto_clean:
	[ ! -f t/t13.txt.save ] || mv --force t/t13.txt.save t/t13.txt

execute_before_dh_auto_configure:
	[ ! -f t/t13.txt ] || mv t/t13.txt t/t13.txt.save

# Have testsuite use the C locale's decimal point
override_dh_auto_test:
	LC_NUMERIC=C dh_auto_test

ifeq (,$(filter $(DEB_HOST_ARCH), $(NO_JNI_ARCH)))
execute_after_dh_auto_install:
	chrpath -d debian/libinline-java-perl$(perlpath)/auto/Inline/Java/JNI/JNI.so

	mkdir -p debian/libinline-java-perl/usr/share/libinline-java-perl
	mv -t debian/libinline-java-perl/usr/share/libinline-java-perl \
		debian/libinline-java-perl$(perlpath)/Inline/Java/*.jar

override_dh_link:
	dh_link usr/share/libinline-java-perl/InlineJavaServer.jar $(perlpath)/Inline/Java/InlineJavaServer.jar \
		usr/share/libinline-java-perl/InlineJavaUser.jar $(perlpath)/Inline/Java/InlineJavaUser.jar
endif
