## libinline-java-perl 0.67

=== debian/changelog ===
libinline-java-perl (0.67-2) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * d/rules: Add hurd-amd64 case.

  [ gregor herrmann ]
  * Add Rules-Requires-Root: no.
  * debian/rules: add a chmod before chrpath. (Closes: #1089363)
  * Refresh lintian override format.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Dec 2024 21:36:46 +0100

libinline-java-perl (0.67-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 0.67.
  * Add new build dependency: libfile-which-perl.
  * Refresh 03_reproducible_path.patch: offset.
  * Add Archive key to debian/upstream/metadata.
  * Remove debian/tests/pkg-perl/use-name.
    The distribution now contains META.* files where autopkgtests's use.t
    finds the name.
  * debian/rules: remove duplicate inclusion of
    /usr/share/dpkg/architecture.mk.
  * debian/rules: fix building of JNI extension.
    We still used DEB_MAKEMAKER_USER_FLAGS, which is a cdbs variable, to set
    BUILD_JNI after the switch from cdbs to dh.
    Set a make variable and use it in override_dh_auto_configure instead.

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 Feb 2022 21:31:49 +0100

libinline-java-perl (0.66-4) unstable; urgency=medium

  * Team upload.
  * Improve package for cross-building.
    - Add build dependency on perl-xs-dev.
    - Find perl library path in cross-build-compatible way.
  * Drop unused lintian override.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2021 17:47:33 +0100
