=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: perl
 Priority: optional
 Build-Depends:
- perl,
+ perl:native,
+ perl-xs-dev,
  debhelper-compat (= 13),
  libinline-perl,
  default-jdk,
- chrpath
+ chrpath,
+ libfile-which-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libinline-java-perl.git
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libinline-java-perl
 Homepage: https://metacpan.org/release/Inline-Java
 Testsuite: autopkgtest-pkg-perl
+Rules-Requires-Root: no
 
 Package: libinline-java-perl
 Architecture: any
