=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,20 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-perlpath := $(shell perl -MConfig -e 'print $$Config{vendorarch};' )
+include /usr/share/dpkg/architecture.mk
+perlver := $(shell perl -MConfig -e 'print $$Config{version}')
+perlpath := $(shell perl -I/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(perlver) -MConfig -e 'print $$Config{vendorarch}')
 
 export JAVA_HOME=/usr/lib/jvm/default-java
 
-include /usr/share/dpkg/architecture.mk
-NO_JNI_ARCH = hppa hurd-i386 mips mipsel armel powerpc
+NO_JNI_ARCH = hppa hurd-amd64 hurd-i386 mips mipsel armel powerpc
 ifeq (,$(filter $(DEB_HOST_ARCH), $(NO_JNI_ARCH)))
-# Have testsuite use JNI
+# Build JNI extension and have testsuite use it
+BUILD_JNI=1
 export PERL_INLINE_JAVA_JNI=1
 else
 # Don't build JNI extension
-DEB_MAKEMAKER_USER_FLAGS = BUILD_JNI=0
+BUILD_JNI=0
 endif
 
 %:
@@ -28,12 +30,17 @@
 execute_before_dh_auto_configure:
 	[ ! -f t/t13.txt ] || mv t/t13.txt t/t13.txt.save
 
+# With our without JNI
+override_dh_auto_configure:
+	dh_auto_configure -- BUILD_JNI=$(BUILD_JNI)
+
 # Have testsuite use the C locale's decimal point
 override_dh_auto_test:
 	LC_NUMERIC=C dh_auto_test
 
 ifeq (,$(filter $(DEB_HOST_ARCH), $(NO_JNI_ARCH)))
 execute_after_dh_auto_install:
+	chmod u+rwX -R debian/libinline-java-perl
 	chrpath -d debian/libinline-java-perl$(perlpath)/auto/Inline/Java/JNI/JNI.so
 
 	mkdir -p debian/libinline-java-perl/usr/share/libinline-java-perl
